curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
السمات وقوالب الصفحات
تحديث قالب صفحة
PATCH /page-template//
PATCH
/
page-template
/
{slug}
/
curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
يحدّث قالب صفحة مملوكًا لهذا الحساب، على مضيف Management API (
يقبل نفس حقول
قوالبك الخاصة غير النظامية فقط قابلة للكتابة هنا — القالب النظامي أو قالب حساب آخر يعيد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
PATCH https://api.scanova.io/page-template/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
سمة (slug) القالب.
name/description/blocks_json/theme/accent_color/preview_bg الموثّقة في إنشاء قالب صفحة. يُدعَم PATCH فقط (بدون PUT).
curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
404، مثل سلوك الملكية في تحديث سمة.
ذات صلة
- الحصول على قالب صفحة — الاطلاع عليه قبل التحديث.
- إنشاء قالب صفحة — مرجع الحقول الذي يعيد هذا التحديث استخدامه.
- حذف قالب صفحة — حذفه نهائيًا.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
Template updated.
هل كانت هذه الصفحة مفيدة؟